netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
afp_asp.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <signal.h>`
`#include <errno.h>`
`#include <sys/time.h>`
`#include <sys/stat.h>`
`#include <atalk/afp_util.h>`
`#include <atalk/atp.h>`
`#include <atalk/asp.h>`
`#include <atalk/compat.h>`
`#include <atalk/logger.h>`
`#include <atalk/util.h>`
`#include <atalk/globals.h>`
`#include <atalk/netatalk_conf.h>`
`#include "switch.h"`
`#include "auth.h"`
`#include "fork.h"`
`#include "dircache.h"`

## Functions
static void | afp_asp_close (AFPObj *obj)
static void | afp_asp_die (const int sig)
static void | afp_asp_timedown (int sig)
static void | afp_asp_reload (int sig)
void | afp_over_asp (AFPObj *obj)

## Variables
static AFPObj * | child
volatile sig_atomic_t | reload_request

## Function Documentation

## ◆ afp_asp_close()

void afp_asp_close | ( | AFPObj * | obj | ) |
| static

## ◆ afp_asp_die()

void afp_asp_die | ( | const int | sig | ) |
| static

## ◆ afp_asp_reload()

void afp_asp_reload | ( | int | sig | ) |
| static

## ◆ afp_asp_timedown()

void afp_asp_timedown | ( | int | sig | ) |
| static

## ◆ afp_over_asp()

void afp_over_asp | ( | AFPObj * | obj | ) |

## Variable Documentation

## ◆ child

AFPObj* child
| static

## ◆ reload_request

volatile sig_atomic_t reload_request
| extern

SIGHUP: reload configuration file — async-signal-safe